> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parmanasystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Interface: TransactionStatusResult

The response of GET /transactions/\{id}/status.

## Members

| Name | Kind | Type | Description |
| - | - | - | - |
| `businessTransactionId` | Property | `string` | |
| `current` | Property | [`TransactionStatusEvent`](https://docs.parmanasystems.com/sdks/reference/typescript/interfaces/TransactionStatusEvent) | |
| `history?` | Property | `readonly `[`TransactionStatusEvent`](https://docs.parmanasystems.com/sdks/reference/typescript/interfaces/TransactionStatusEvent)`[] \| undefined` | Present when the history was requested. Oldest first. |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.